﻿Module modPeak
    Public booBereitsGezogen(52) As Boolean ' gezogene karten
    Public booGesperrt(27) As Boolean        ' False = karten liegen nicht frei
    Public intPunkte As Integer = 0          ' punktzahl des spielers 
    Public intSpielrunde As Integer = 1      ' anzahl der spielrunden 
    Public intAuswahlKarteNr As Integer      ' gewählte karte
    Public intAktulleAblageNr As Integer     ' aufgedeckte karte
    Public Sub Grundeinstellung()
        Dim intX As Integer = 30
        Dim i As Integer
        For i = 0 To 27 : booGesperrt(i) = True : Next
        For i = 20 To 27 : booGesperrt(i) = False : Next      ' karten freigeben
        '---- karten positionieren
        For i = 18 To 27
            ZeichneKarte(i).Location = New Point(intX, 210)
            intX += 105
        Next
        intX = 85
        For i = 9 To 17
            ZeichneKarte(i).Location = New Point(intX, 150)
            intX += 105
        Next
        intX = 140
        For i = 3 To 4
            ZeichneKarte(i).Location = New Point(intX, 90)
            ZeichneKarte(i + 2).Location = New Point(intX + 320, 90)
            ZeichneKarte(i + 4).Location = New Point(intX + 630, 90)
            intX += 105
        Next
        intX = 195
        For i = 0 To 2
            ZeichneKarte(i).Location = New Point(intX, 40)
            intX += 315
        Next
        With Form1
        End With
    End Sub
    Public Sub AlleKartenZiehen()
        Dim i As Integer
        Dim intModus As Integer = 0
        For i = 0 To 51
            If i > 28 Then intModus = 1
            booBereitsGezogen(Zufallszahl(1, 53, intModus)) = True
        Next
    End Sub
    '--- karten ziehen und in listen schreiben
    Public Function Zufallszahl(ByVal intTief As Integer, ByVal intHoch As Integer, intModus As Integer) As Integer
        Dim intRandom As New Random
        With Form1
            Do
                Zufallszahl = intRandom.Next(intTief, intHoch)
                If Not booBereitsGezogen(Zufallszahl) Then
                    If intModus = 0 Then  ' auf dem spielfeld
                        .lstKarten.Items.Add(Zufallszahl.ToString)
                    Else                  ' im talon
                        .lstTalon.Items.Add(Zufallszahl.ToString)
                    End If
                    Exit Do         ' korrekte zufallszahl
                End If
            Loop
        End With
        Return Zufallszahl
    End Function
    Public Sub ZeichneDasSpielfeld()
        Dim i As Integer
        With Form1
            '--------  alle karten zeichnen
            For i = 0 To .lstKarten.Items.Count - 1
                ZeichneKarte(i).Image = KartenNr(Convert.ToInt32(.lstKarten.Items(i))).Image
            Next
            For i = 29 To 31  ' joker
                ZeichneKarte(i).Image = KartenNr(55).Image
            Next
            .picTalon.Image = KartenNr(i + 25).Image
        End With
    End Sub
End Module
